'use strict';

var uglifyEs = require('uglify-es');

function uglify (options) {
	if ( options === void 0 ) options = {};

	return {
		name: 'uglify',
		transformBundle: function transformBundle (code) {
			var result = uglifyEs.minify(
				code,
				Object.assign({ sourceMap: { url: 'out.js.map' } }, options ) // force sourcemap creation
			);
			if (result.map) {
				var commentPos = result.code.lastIndexOf('//#');
				result.code = result.code.slice(0, commentPos).trim();
			}
			return result
		}
	}
}

module.exports = uglify;
